QGIS Application - Bug report #3027
print composer: "show only visibile features" doesn't work when unchecked?
2010-09-21 06:09 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13087
Description

When a user adds a attribute table to the print composer it comes by default with the "show only visible features" option selected.

Unchecking the option is supposed to show all the rows of the attributes table using the "maximum rows number" parameter as limit?

If so, it doesn't seem to work on both 1.5 and trunk. Tested on linux and windows.

History

#1 - 2010-09-24 09:20 AM - Paolo Cavallini

Confirmed.

#2 - 2010-10-16 09:25 AM - Giovanni Manghi

I notice also the following.

When adding a table of attributes in the composer the object is always added with the "show only visible features" option checked and with "7" as value for
maximum rows, but if you are seeing < 7 features (both in the canvas and the composer), 7 rows are still added.

#3 - 2010-11-28 04:49 AM - Marco Hugentobler
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:0e2ffec7 (SVN r14777)
